package com.trafficparrot.examples.aws;

import com.amazonaws.ClientConfiguration;
import com.amazonaws.auth.AWSStaticCredentialsProvider;
import com.amazonaws.auth.BasicAWSCredentials;
import com.amazonaws.client.builder.AwsClientBuilder;
import com.amazonaws.services.sqs.AmazonSQS;

import static com.amazonaws.services.sqs.AmazonSQSClientBuilder.standard;

public class AmazonSQSClient {
    public static AmazonSQS amazonSQSClient(String virtualServiceUrl) {
        ClientConfiguration configuration = new ClientConfiguration();
        configuration.setConnectionTimeout(1000);

        return standard()
                .withCredentials(new AWSStaticCredentialsProvider(new BasicAWSCredentials("any", "any")))
                .withClientConfiguration(configuration)
                .withEndpointConfiguration(new AwsClientBuilder.EndpointConfiguration(virtualServiceUrl, "any"))
                .build();
    }
}
